#### ITEM

#### Synopsis

    HELP:   An allowed enumeration item (usable multiple times for multiple enum values)
    TYPE:   OBJECT
    SYNTAX: ITEM[(VALUE='str',NUMERICAL=num)...]

#### Description

An enumeration item is used to define an allowed value of an enumeration. Each enumeration must have one or more items. A string value must be assigned to each enumeration item. This string value must be unique among all enumeration items in the same enumeration. Each enumeration item is mapped to an integer number. The mapped number may optionally be specified. If no number is specified for an item, it is auto-assigned to the number of the predecessor item plus one. If no number is assigned to the first item, its number is 0. So, if the mapped numbers are not important, they can be ommitted. For a start value other than 0, it is sufficient to assign a number to first item. All other items are numbered sequentially.

When reading enumerations, the input data contains strings which are mapped to the corresponding integer number. If there is a string in the data for which no item is defined, an error occurs.

#### Arguments

- `STRING: VALUE='str' - String value of the enum item`
- `NUMBER: NUMERICAL=num - Numerical value this item is mapped to (optional)`